
 //		defines
//
#define VENDOR_ID_CANON         0x04A9
#define PRODUCT_ID_S10          0x3041	/* PowerShot S10 */
#define PRODUCT_ID_S20          0x3043	/* PowerShot S20 */
#define PRODUCT_ID_S100_US		0x3045	/* S100, aka. Digital Ixus, Elph */
#define PRODUCT_ID_S100_EU		0x3047	/* S100, aka. Digital Ixus, Elph */
#define PRODUCT_ID_G1			0x3048	/* Canon G1 */
#define PRODUCT_ID_UKNOWN_1		0x3049
#define PRODUCT_ID_UKNOWN_2		0x304a
#define PRODUCT_ID_UKNOWN_3		0x304b
#define PRODUCT_ID_UKNOWN_4		0x304c
#define PRODUCT_ID_UKNOWN_5		0x304d
#define PRODUCT_ID_UKNOWN_6		0x304e
#define PRODUCT_ID_UKNOWN_7		0x304f
#define PRODUCT_ID_UKNOWN_8		0x3050
#define PRODUCT_ID_UKNOWN_9		0x3051
#define PRODUCT_ID_S100V_EU		0x3052	/* Digital IXUS V */

#define IXUS_READ 0xC0
#define IXUS_WRITE 0x40

//#define DL_SIZE 1024
#define DL_SIZE 4096





 //		define structs
//
struct ixus_direntry
	{
	struct  ixus_direntry	*next;
	struct  ixus_direntry	*parent;
	uint32					size;
	uint32					date;
	unsigned char			attr;
	unsigned char			name[1];
	};



