  //		Includes
 //
//
#include <stdio.h>
#include <Window.h>
#include <View.h>
#include <Button.h>
#include <FilePanel.h>


  //		Local includes
 //
//
#include "filepanel.h"


  //		ixd_FilePanel::ixd_FilePanel
 //
//
ixd_FilePanel::ixd_FilePanel(BMessenger* target) : BFilePanel(B_OPEN_PANEL, NULL, NULL, B_DIRECTORY_NODE, false, NULL, NULL, true, true)
{
BRect		r;
BWindow		*panel_Win;


panel_Win=Window();
panel_Win->SetTitle("ixusdownload : select directory");
SetButtonLabel(B_DEFAULT_BUTTON, "Select");

if(panel_Win->Lock())
	{
   	BView *v = panel_Win->ChildAt(0);
   	BView *cancelBtn = v->FindView("cancel button");

   	if (cancelBtn)
   		{
     		BView *parentview;
     		float charWidth;

		charWidth = cancelBtn->StringWidth("Select Current Directory");
		r = cancelBtn->Frame();
     		r.right = r.left - 10;
     		r.left = r.right - charWidth - 40;
     		fCurrentDirBtn = new BButton(r, "current dir button", "Select Current Directory", NULL, B_FOLLOW_RIGHT + B_FOLLOW_BOTTOM);

		fCurrentDirBtn->SetTarget(*target);

		parentview = cancelBtn->Parent();
		parentview->AddChild(fCurrentDirBtn);

		entry_ref ref;
     		BMessage *msg = new BMessage('slct');
     		GetPanelDirectory(&ref);
     		msg->AddRef("refs",&ref);
     		fCurrentDirBtn->SetMessage(msg);
   		}

	panel_Win->Unlock();
	}
}


  //		ixd_FilePanel::SelectionChanged
 //
//
void ixd_FilePanel::SelectionChanged()
{
BWindow *wind;

wind = Window();

if (wind->Lock())
	{
    entry_ref currRef;

    GetPanelDirectory(&currRef);

    BMessage *msg = new BMessage('slct');
    msg->AddRef("refs",&currRef);
    fCurrentDirBtn->SetMessage(msg);

    wind->Unlock();
	}
}
