  //		Includes
 //
//
#include <Window.h>


 //		Main window Class
//
class ixd_mainWin : public BWindow
{
	public:
						ixd_mainWin();
		virtual bool	QuitRequested();
		virtual void	MessageReceived(BMessage* message);

		void			add_item(class pic_Item *item);
		void			clear_list(void);
		void			sort_list(void);
		void			remove_item(class pic_Item *item);
		void			update_item(class pic_Item *item);
		void 			Rotate_Selected(int angle);
		void			Download_Selected(void);
		void			Setattr_Selected(char dwn, char prt);
		void			SelectAll(void);
		void			SelectNew(void);

	private:
		BMenuBar		*menubar;
		BView			*ixd_view;
		BListView		*ixd_listview;
		BScrollView		*ixd_scrollview;
		BButton			*ixd_deletebutton;
		BButton			*ixd_downloadbutton;
		BButton			*ixd_attrbutton;
};


#define	DEL_BUTTON 'DELB'
#define	DOWN_BUTTON 'DOWN'
#define	UP_BUTTON 'UPBT'
#define	ATTR_BUTTON 'ATTR'
#define	SAVE_MSG 'SAVE'
#define	ROTATE_RIGHT_MSG 'ROTR'
#define	ROTATE_LEFT_MSG 'ROTL'

#define ABOUT		'ABOU'
#define QUIT		'QUIT'
#define SELECT_ALL	'SALL'
#define SELECT_NEW	'SNEW'
#define CAMERA_INFO	'CAMI'
