  //		Includes
 //
//
#include <ListView.h>
#include <Bitmap.h>
#include <SupportKit.h>

 //		define classes
//
class pic_Item : public BListItem 
{
	public:
		pic_Item(char *name, uint32 attrs, uint32 size, uint32 date, BBitmap *bitmap, uint32 Xres, uint32 Yres);
		pic_Item(void)
			{
			pic_Bitmap=0;
			};
		~pic_Item(void);
		virtual void DrawItem(BView *owner, BRect frame, bool complete = false);
		virtual void Update(BView *owner, const BFont *font);
		void Rotate(int angle);
		
		const char *GetName(void)
					{
					return(pic_Name.String());
					}
		bool Deletable()
				{
				return(!(pic_Attrs & 1));
				}

void pic_Item::setvals(char *name, uint32 attrs, uint32 size, uint32 date, BBitmap *bitmap, uint32 Xres, uint32 Yres)
{
	pic_Name=name;
	pic_Bitmap=bitmap;
	pic_Attrs=attrs;
	pic_Size=size;
	pic_Date=date;
	pic_Xres=Xres;
	pic_Yres=Yres;
}

void pic_Item::set_Bitmap(BBitmap *bitmap)
{
	if(pic_Bitmap)
		{
		delete pic_Bitmap;
		}

	pic_Bitmap=bitmap;
}

void pic_Item::set_Name(char *name)
{
	pic_Name=name;
}

void pic_Item::set_Attrs(uint32 attrs)
{
	pic_Attrs=attrs;
}

void pic_Item::set_Date(uint32 date)
{
	pic_Date=date;
}

void pic_Item::set_Size(uint32 size)
{
	pic_Size=size;
}

void pic_Item::set_Res(uint32 Xres, uint32 Yres)
{
	pic_Xres=Xres;
	pic_Yres=Yres;
}

void pic_Item::set_XRes(uint32 Xres)
{
	pic_Xres=Xres;
}

void pic_Item::set_YRes(uint32 Yres)
{
	pic_Yres=Yres;
}

void pic_Item::set_Flash(uint32 flash)
{
	pic_Flash=flash;
}

void pic_Item::set_Orientation(uint32 orientation)
{
	pic_Orientation=orientation;
}

	uint32		pic_Attrs;
	uint32		pic_Date;
	uint32		pic_Size;
	uint32		pic_Xres;
	uint32		pic_Yres;
	uint32		pic_Flash;
	uint32		pic_Orientation;

	private: 
		BString		pic_Name;
		BBitmap		*pic_Bitmap;
}; 

int pic_compareFunc(const pic_Item **one, const pic_Item **two);
