  //		Includes
 //
//
#include <Application.h>


  //		function prototypes
 //
//
void				hexdump(unsigned char *data, uint16 length);
void				fillcmdblk(unsigned char *buf, uint32 length, unsigned char cmd1, unsigned char cmd2, uint32 cmd3, uint32 sernum);
bool				ixus_init(class USBDevice *dev, bool thumbs);
unsigned char		*ixus_flashdevice(class USBDevice *dev, unsigned char *buf);
bool				ixus_getfile(class USBDevice *dev, unsigned char *buf, unsigned char *filename, class pic_Item *item);
bool				ixus_setattr(class USBDevice *dev, unsigned char *buf, unsigned char *filename, unsigned char attr);
struct				ixus_direntry *ixus_getdir(USBDevice *dev, unsigned char *buf, unsigned char *path);
struct				ixus_direntry *ixus_parsedir(unsigned char *buf, uint32 length);
void				ixus_freedir(struct ixus_direntry *dirent);
bool				ixus_getthumb(class USBDevice *dev, unsigned char *buf, unsigned char *filename, class pic_Item *item);
void				ixus_getthumbs(class USBDevice *dev, unsigned char *buf, struct ixus_direntry *dirent);
uint32				ixus_delete(class USBDevice *dev, unsigned char *buf, unsigned char *filename);
bool				ixus_identify(class USBDevice *dev, unsigned char *buf);
bool				ixus_setowner(class USBDevice *dev, unsigned char *buf, const char *ownername);
bool				ixus_diskinfo(class USBDevice *dev, unsigned char *buf, const char *diskname);
bool				ixus_powerinfo(class USBDevice *dev, unsigned char *buf);
void				err_req(char *str);
bool				ixus_sendfile(class USBDevice *dev, unsigned char *buf, const char *filename);
int					ixus_exifparse(const class USBEndpoint *iept, unsigned char *buf, class BMallocIO *memfh, uint32 length, class pic_Item *item);
void				SetJPEGFileAttrs(class BFile *fh, class pic_Item *item);


