  //		Includes
 //
//
#include <stdio.h>
#include <StatusBar.h>


  //		Local includes
 //
//
#include "app.h"
#include "statuswin.h"


  //		External variables
 //
//
extern class ixd_App		*app;



  //		ixd_statusWin::QuitRequested
 //
//
bool ixd_statusWin::QuitRequested()
{
	app->status_Win=NULL;
	return BWindow::QuitRequested();
}


  //		ixd_statusWin::MessageRecieved
 //
//
void ixd_statusWin::MessageReceived(BMessage* message)
{
switch(message->what)
	{
	default:
		BWindow::MessageReceived(message);
	}
}


  //		
 //
//
ixd_statview::ixd_statview(uint32 totalbytes, char *message):BView(BRect(0,0,300,150), "statview", B_FOLLOW_LEFT_RIGHT, B_WILL_DRAW)
{
rgb_color bg_color=ui_color(B_PANEL_BACKGROUND_COLOR);
SetViewColor(bg_color);
statusbar = new BStatusBar(
						BRect(5,30,295,46),
						"statbar"
						);
AddChild(statusbar);
statusbar->SetMaxValue((float)totalbytes);
strcpy(msg, message?message:"");
}


  //		
 //
//
void	ixd_statview::reset(uint32 totalbytes)
{
statusbar->Reset();
statusbar->SetMaxValue((float)totalbytes);
}


  //		
 //
//
void	ixd_statview::updatestatus(uint32 delta, char *message)
{
if(message)
	{
	strcpy(msg, message);
	SetHighColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	FillRect(BRect(0, 0, 300, 30));
	}
MovePenTo(10, 25);
SetHighColor(0,0,0,255);
SetLowColor(ui_color(B_PANEL_BACKGROUND_COLOR));
DrawString(msg);

statusbar->Update((float)delta);
}


  //		
 //
//
void	ixd_statview::Draw(BRect rect)
{
SetHighColor(ui_color(B_PANEL_BACKGROUND_COLOR));
FillRect(BRect(0, 0, 300, 30));
MovePenTo(10, 25);
SetHighColor(0,0,0,255);
SetLowColor(ui_color(B_PANEL_BACKGROUND_COLOR));
DrawString(msg);
}


  //		
 //
//
ixd_statusWin::ixd_statusWin(uint32 totalbytes, char *message):BWindow(BRect(100,100,400,180), "ixusdownload status", B_TITLED_WINDOW, B_WILL_DRAW | B_NOT_RESIZABLE)
{
view=new ixd_statview(totalbytes, message);
AddChild(view);
}


  //		
 //
//
void	ixd_statusWin::reset(uint32 max)
{
Lock();
view->reset(max);
Unlock();
}
					

  //		
 //
//
void	ixd_statusWin::updatestatus(uint32 delta, char *message)
{
Lock();
view->updatestatus(delta, message);
Unlock();
}
