  //		Includes
 //
//
#include <stdio.h>
#include <Application.h>
#include <Window.h>
#include <View.h>
#include <Bitmap.h>


  //		Defines
 //
//
#define IXD_VERSION	"ixusdownload 2.6"
#define IXD_AUTHOR	"By Urban Lindeskog (ubbe@printf.com)"
#define IXD_DESCRIPTION	"Canon" B_UTF8_TRADEMARK " PowerShot" B_UTF8_TRADEMARK " series download utility"


  //		Local includes
 //
//
#include "about.h"
#include "app.h"


  //		External variables
 //
//
extern class ixd_App		*app;


  //		ixd_aboutview::Draw
 //
//
void	ixd_aboutview::Draw(BRect rect)
{
int32 		cnt;
rgb_color	black_color={0, 0, 0, 0xff};
rgb_color	white_color={255, 255, 255, 0xff};
rgb_color	bg_color=ui_color(B_PANEL_BACKGROUND_COLOR);


SetHighColor(black_color);
SetLowColor(bg_color);

MovePenTo(110, 43);
SetFontSize(25);
DrawString(IXD_VERSION);

MovePenTo(110, 63);
SetFontSize(12);
DrawString(IXD_AUTHOR);

MovePenTo(110, 88);
SetFontSize(10);
DrawString(IXD_DESCRIPTION);

MovePenTo(5, 5);
DrawBitmap(me_bitmap);


//		Draw film top edge
SetHighColor(black_color);
FillRect(BRect(105, 5, 395, 13));

//		Draw film edge
SetHighColor(white_color);
for(cnt=0; cnt<22; cnt++)
	{
	FillRect(BRect(111+(cnt*14), 7, 111+(cnt*14)+4, 11));
	}


//		Draw film bottom edge
SetHighColor(black_color);
FillRect(BRect(105, 96, 395, 104));

//		Draw film edge
SetHighColor(white_color);
for(cnt=0; cnt<22; cnt++)
	{
	FillRect(BRect(111+(cnt*14), 98, 111+(cnt*14)+4, 102));
	}
}


  //		ixd_aboutWin  -  Constructor
 //
//
ixd_aboutWin::ixd_aboutWin() : BWindow(BRect(100,100,500,210), "About ixusdownload", B_TITLED_WINDOW, B_WILL_DRAW | B_NOT_RESIZABLE)
{
	view = new ixd_aboutview();
	AddChild(view);
}


  //		ixd_aboutWin::QuitRequested
 //
//
bool ixd_aboutWin::QuitRequested()
{
	app->aboutwindow=NULL;
	return BWindow::QuitRequested();
}


  //		ixd_aboutWin::MessageRecieved
 //
//
void ixd_aboutWin::MessageReceived(BMessage* message)
{
switch(message->what)
	{
	default:
		BWindow::MessageReceived(message);
	}
}


  //		ixd_aboutview::ixd_aboutview()
 //
//
ixd_aboutview::ixd_aboutview(void):BView(BRect(0,0,400,110), "aboutview", B_FOLLOW_LEFT_RIGHT, B_WILL_DRAW)
{
rgb_color bg_color=ui_color(B_PANEL_BACKGROUND_COLOR);
SetViewColor(bg_color);

if((me_bitmap=new BBitmap(BRect(0.0, 0.0, 99.0, 99.0), B_RGB32)))
	{
	me_bitmap->SetBits((const void *)my_bitmap, (long int)sizeof(my_bitmap), 0, B_RGB32);
	}
}


  //		ixd_aboutview::~ixd_aboutview()
 //
//
ixd_aboutview::~ixd_aboutview(void)
{
if(me_bitmap)
	{
	delete me_bitmap;
	}
}
