  //		Includes
 //
//
#include <Application.h>


  //		Application class
 //
//
class ixd_App: public BApplication
{
	public:
						ixd_App();
		virtual void	ReadyToRun();
		virtual void	MessageReceived(BMessage* message);
		virtual void 	RefsReceived(BMessage *message);
		virtual void	AboutRequested(void);

		void			add_item(class pic_Item *item);
		void			clear_list(void);
		void			sort_list(void);

		class USBDevice *OpenCamera();
		void			CloseCamera();

		void			Download_Selected(void);
		void			SelectAll(void);
		void			SelectNew(void);
		void			opensetattr(void);
		void			opencamerainfo(void);
		void			setownername(const char *owner);
		void			openstatus(int32 totalbytes, char *message);
		void			closestatus(void);
		void			updatestatus(uint32 delta, char *message);

		bool			Download(class pic_Item *item);
		void			Setattr_Selected(char dwn, char prt);
		bool			Setattr(class pic_Item *item, uint32 attr);
		bool			Deletepic(const char *name);

		unsigned char	buf[5200];
		char			devname[20];
		char			cameraname[33];
		char			ownername[200];
		uint32 			totalbytes, freebytes;
		uint16			powerstatus;
		uint16			productid;

		class ixd_FilePanel		*filepanel;
		class BFilePanel		*uploadpanel;
		class ixd_setattrWin	*setattr_Win;
		class ixd_statusWin		*status_Win;
		class ixd_camerainfoWin	*camerainfo_Win;
		class ixd_aboutWin		*aboutwindow;

		class USBDevice 		*dev;	

	private:
		class Roster			*roster;
		class ixd_mainWin		*main_Win;
};

#define	UPLOAD_MSG 'UPLO'
#define IXDEL_OK 	0x02000086
#define IXDEL_PROT	0x02000029
