  //		Includes
 //
//
#include <stdio.h>
#include <Alert.h>


  //		Local includes
 //
//
#include "app.h"
#include "ixusdownload.h"


  //		main() - 
 //
//
int main(int argc, char *argv[])
{

app = new ixd_App();
app->Run();

delete app;

return(0);
}



  //		Error requester
 //
//
void err_req(char *str)
{
BAlert *myAlert = new BAlert("ixusdownload error", str,	"Ok", NULL, NULL, B_WIDTH_AS_USUAL,
							B_OFFSET_SPACING, B_WARNING_ALERT);
							
	myAlert->SetShortcut(0, B_ESCAPE); 
	myAlert->Go();
}





#ifdef ixus_debug
  //		Dump a buffer in hex format
 //
//
void hexdump(unsigned char *data, uint16 length)
{
uint16			cnt;
unsigned char	hexd[20];

hexd[0]=0;				

for(cnt=0; cnt<length; cnt++)
	{
	if(!(cnt & 15))
		{
		fprintf(stderr, "%08x  ", cnt);
		}
	fprintf(stderr, "%02x ", data[cnt]);
	hexd[(cnt & 15)] = (((data[cnt]) < 32)||((data[cnt]) > 127)) ? '.' : (data[cnt]);
	hexd[(cnt & 15)+1] = 0;
	if((cnt & 15)==15)
		{
		fprintf(stderr, "   '%s'\n", hexd);
		hexd[0]=0;				
		}
	}

if(hexd[0])
	{
	for(cnt=(16 - (cnt & 15)); cnt ; cnt--)
		{
		fprintf(stderr, "   ");
		}
	
	fprintf(stderr, "   '%s'\n", hexd);
	}
fprintf(stderr, "\n");
}
#endif

