  //		Includes
 //
//
#include <stdio.h>
#include <View.h>
#include <Button.h>
#include <RadioButton.h>
#include <Box.h>


  //		Local includes
 //
//
#include "app.h"
#include "setattrwin.h"


  //		External variables
 //
//
extern class ixd_App		*app;


  //		ixd_setattrwinWin::QuitRequested
 //
//
bool ixd_setattrWin::QuitRequested()
{
	app->setattr_Win=NULL;
	return BWindow::QuitRequested();
}


  //		ixd_setattrWin::MessageRecieved
 //
//
void ixd_setattrWin::MessageReceived(BMessage* message)
{
switch(message->what)
	{
	case PROTECT_IGNORE:
	prtset=0;
	break;
	case PROTECT_UNSET:
	prtset=1;
	break;
	case PROTECT_SET:
	prtset=2;
	break;
	
	case DOWNLOAD_IGNORE:
	dwnset=0;
	break;
	case DOWNLOAD_UNSET:
	dwnset=1;
	break;
	case DOWNLOAD_SET:
	dwnset=2;
	break;

	case OK_BUTTON:
	app->Setattr_Selected(dwnset, prtset);
	break;

	default:
		BWindow::MessageReceived(message);
	}
}


  //		ixd_setattrWin  -  Constructor
 //
//
const BRect			sawinFrame (100,100,400,270);
const BRect			saViewFrame (0,0,300,170);
const BRect			sadwnFrame (5,20,295,60);
const BRect			saprtFrame (5,80,295,120);
const BRect			okbuttonFrame (5, 140, 100, 160);
ixd_setattrWin::ixd_setattrWin() : BWindow(sawinFrame, "ixusdownload setattr", B_TITLED_WINDOW, B_WILL_DRAW | B_NOT_RESIZABLE)
{

	view = new BView(
						saViewFrame,
						"ixd_view",
						B_FOLLOW_LEFT_RIGHT,
						0
						);

	rgb_color bg_color=ui_color(B_PANEL_BACKGROUND_COLOR);
	view->SetViewColor(bg_color);
	
	dwn_box = new BBox(
						sadwnFrame,
						"dwn_view",
						B_FOLLOW_LEFT_RIGHT
						);
	dwn_box->SetLabel("Downloaded");
	
	prt_box = new BBox(
						saprtFrame,
						"prt_view",
						B_FOLLOW_LEFT_RIGHT
						);
	prt_box->SetLabel("Delete protected");

	okbutton = new BButton(
							okbuttonFrame,
							"okbut",
							"Set", 
							new BMessage(OK_BUTTON),
							B_FOLLOW_BOTTOM,
							B_WILL_DRAW | B_NAVIGABLE
							);

	dwn_ignore = new BRadioButton(
							BRect(5, 15, 95, 30),
							"rbut1",
							"Ignore",
							new BMessage(DOWNLOAD_IGNORE),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);
	dwn_set = new BRadioButton(
							BRect(110, 15, 195, 30),
							"rbut2",
							"Set",
							new BMessage(DOWNLOAD_SET),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);
	dwn_unset = new BRadioButton(
							BRect(200, 15, 285, 30),
							"rbut3",
							"Unset",
							new BMessage(DOWNLOAD_UNSET),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);


	prt_ignore = new BRadioButton(
							BRect(5, 15, 95, 30),
							"rbut4",
							"Ignore",
							new BMessage(PROTECT_IGNORE),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);
	prt_set = new BRadioButton(
							BRect(110, 15, 195, 30),
							"rbut5",
							"Set",
							new BMessage(PROTECT_SET),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);
	prt_unset = new BRadioButton(
							BRect(200, 15, 285, 30),
							"rbut6",
							"Unset",
							new BMessage(PROTECT_UNSET),
							B_FOLLOW_TOP,
							B_WILL_DRAW | B_NAVIGABLE
							);

	dwn_box->AddChild(dwn_ignore);
	dwn_box->AddChild(dwn_set);
	dwn_box->AddChild(dwn_unset);

	prt_box->AddChild(prt_ignore);
	prt_box->AddChild(prt_set);
	prt_box->AddChild(prt_unset);

	view->AddChild(okbutton);
	view->AddChild(dwn_box);
	view->AddChild(prt_box);
	AddChild(view);

	dwnset=0;
	prtset=0;
	dwn_ignore->SetValue(1);
	prt_ignore->SetValue(1);
}


